toolchain/gcc: switch to version 7 by default
authorFelix Fietkau <nbd@nbd.name>
Mon, 12 Mar 2018 09:31:19 +0000 (10:31 +0100)
committerFelix Fietkau <nbd@nbd.name>
Mon, 12 Mar 2018 11:19:23 +0000 (12:19 +0100)
Newer GCC versions are reported to improve code size on various ARM
devices, which is why newer u-boot versions require them now.
There have also been user reports of data corruption issues fixed on
MIPS by updating from GCC 5 to GCC 7.

This update was previously held up by these two MIPS compile issues,
which have since been fixed:

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83496
https://gcc.gnu.org/bugzilla/show_bug.cgi?id=84790

Signed-off-by: Felix Fietkau <nbd@nbd.name>
toolchain/gcc/Config.in
toolchain/gcc/Config.version

index 1456985..34db20d 100644 (file)
@@ -3,8 +3,7 @@
 choice
        prompt "GCC compiler Version" if TOOLCHAINOPTS
        default GCC_USE_VERSION_7_1_ARC if arc
-       default GCC_USE_VERSION_7 if x86_64 || i386
-       default GCC_USE_VERSION_5
+       default GCC_USE_VERSION_7
        help
          Select the version of gcc you wish to use.
 
index ef47fb4..50da678 100644 (file)
@@ -2,15 +2,13 @@ config GCC_VERSION_7_1_ARC
        default y if (!TOOLCHAINOPTS && arc)
        bool
 
-config GCC_VERSION_7
-       default y if GCC_USE_VERSION_7
-       default y if (!TOOLCHAINOPTS && x86_64)
-       default y if (!TOOLCHAINOPTS && i386)
+config GCC_VERSION_5
+       default y if GCC_USE_VERSION_5
        bool
 
 config GCC_VERSION
        string
+       default "5.5.0"         if GCC_VERSION_5
        default "arc-2017.09-release"   if GCC_VERSION_7_1_ARC
        default "6.3.0"         if GCC_USE_VERSION_6
-       default "7.3.0"         if GCC_VERSION_7
-       default "5.5.0"
+       default "7.3.0"